From: Pierre Habouzit (MadCoder
Date: Wed, 29 Dec 2004 09:38:41 +0000 (+0000)
Subject: bye bye caching. and other dead things
X-Git-Tag: xorg/old~579
X-Git-Url: http://git.polytechnique.org/?a=commitdiff_plain;h=5445ce4cf31abacd0067c9b77b166789c0fa75af;p=platal.git
bye bye caching. and other dead things
git-archimport-id: opensource@polytechnique.org--2005/platal--mainline--0.9--patch-169
---
diff --git a/Makefile b/Makefile
index b64ccf9..2bce32b 100644
--- a/Makefile
+++ b/Makefile
@@ -28,18 +28,14 @@ clean:
################################################################################
# devel targets
-cache:
- mkdir cache
- chmod o+w cache
-
templates_c:
mkdir templates_c
chmod o+w templates_c
htdocs/valid.html:
- ln -sf ../cache/valid.html htdocs/valid.html
+ ln -sf ../templates_c/valid.html htdocs/valid.html
-devel: build cache templates_c htdocs/valid.html
+devel: build templates_c htdocs/valid.html
################################################################################
# diogenes package targets
diff --git a/htdocs/admin/index.php b/htdocs/admin/index.php
index 4f0296f..83be2e7 100644
--- a/htdocs/admin/index.php
+++ b/htdocs/admin/index.php
@@ -22,19 +22,17 @@
require_once("xorg.inc.php");
new_admin_page('admin/index.tpl');
-if (!$page->xorg_is_cached()) {
- $res = $globals->db->query("
- SELECT h1, h2, texte, url
- FROM admin_a AS a
- INNER JOIN admin_h2 AS h2 USING(h2id)
- INNER JOIN admin_h1 AS h1 USING(h1id)
- ORDER BY h1.prio, h2.prio, a.prio");
- $index = Array();
- while(list($h1,$h2,$txt,$url) = mysql_fetch_row($res)) {
- $index[$h1][$h2][] = Array('txt' => $txt, 'url'=>$url);
- }
- $page->assign_by_ref('index', $index);
+$res = $globals->db->query("
+ SELECT h1, h2, texte, url
+ FROM admin_a AS a
+ INNER JOIN admin_h2 AS h2 USING(h2id)
+ INNER JOIN admin_h1 AS h1 USING(h1id)
+ ORDER BY h1.prio, h2.prio, a.prio");
+$index = Array();
+while(list($h1,$h2,$txt,$url) = mysql_fetch_row($res)) {
+ $index[$h1][$h2][] = Array('txt' => $txt, 'url'=>$url);
}
+$page->assign_by_ref('index', $index);
$page->run();
?>
diff --git a/include/xorg/page.inc.php b/include/xorg/page.inc.php
index a29ee48..d86ba8e 100644
--- a/include/xorg/page.inc.php
+++ b/include/xorg/page.inc.php
@@ -40,6 +40,11 @@ class XorgPage extends DiogenesCorePage
var $_tpl;
var $_errors;
+ // defaults
+ var $caching = false;
+ var $config_overwrite = false;
+ var $use_sub_dirs = false;
+
// }}}
// {{{ function XorgPage()
@@ -54,12 +59,8 @@ class XorgPage extends DiogenesCorePage
$this->compile_dir = $globals->spoolroot."/templates_c/";
$this->plugins_dir[] = $globals->spoolroot."/plugins/";
$this->config_dir = $globals->spoolroot."/configs/";
- $this->cache_dir = $globals->spoolroot."/cache/";
- $this->use_sub_dirs = false;
- $this->config_overwrite = false;
- $this->compile_check = !empty($globals->debug);
- $this->caching = ($type == SKINNED);
+ $this->compile_check = !empty($globals->debug);
if ($type == SKINNED) {
$this->register_modifier('escape_html', 'escape_html');
@@ -73,7 +74,6 @@ class XorgPage extends DiogenesCorePage
$this->DiogenesCorePage();
require_once('xorg/smarty.plugins.inc.php');
- $this->register_block('dynamic', 'block_dynamic', false);
$this->register_prefilter('at_to_globals');
$this->assign('site_dev',$globals->debug);
@@ -87,7 +87,6 @@ class XorgPage extends DiogenesCorePage
{
$this->_tpl = $tpl;
$this->_page_type = $type;
- $this->caching = ($type == SKINNED);
if ($type == SKINNED) {
$this->register_modifier('escape_html', 'escape_html');
$this->default_modifiers = Array('@escape_html');
@@ -100,7 +99,7 @@ class XorgPage extends DiogenesCorePage
// }}}
// {{{ function run()
- function run($append_to_id="")
+ function run()
{
global $globals, $TIME_BEGIN;
$this->assign_by_ref("xorg_error", $this->_errors);
@@ -108,22 +107,18 @@ class XorgPage extends DiogenesCorePage
if ($this->_page_type == NO_SKIN) {
$this->display($this->_tpl);
} else {
- if (Session::has('suid')) {
- $this->caching=false;
- }
$this->assign_by_ref('menu', $globals->menu->menu());
- $id = $this->make_id($append_to_id);
if ($globals->debug) {
$this->assign('db_trace', $globals->db->trace_format($this, 'database-debug.tpl'));
$this->assign('validate', urlencode($globals->baseurl.'/valid.html'));
- $result = $this->fetch('skin/'.Session::get('skin'), $id);
+ $result = $this->fetch('skin/'.Session::get('skin'));
$total_time = sprintf('Temps total: %.02fs ', microtime_float() - $TIME_BEGIN);
- $fd = fopen($this->cache_dir."valid.html","w");
+ $fd = fopen($this->compile_dir."/valid.html","w");
fwrite($fd, $result);
fclose($fd);
- exec($globals->spoolroot."/bin/devel/xhtml.validate.pl ".$this->cache_dir."valid.html", $val);
+ exec($globals->spoolroot."/bin/devel/xhtml.validate.pl ".$this->compile_dir."/valid.html", $val);
foreach ($val as $h) {
if (preg_match("/^X-W3C-Validator-Errors: (\d+)$/", $h, $m)) {
if ($m[1]) {
@@ -138,7 +133,7 @@ class XorgPage extends DiogenesCorePage
}
}
} else {
- $this->display('skin/'.Session::get('skin'), $id);
+ $this->display('skin/'.Session::get('skin'));
}
}
exit;
@@ -173,7 +168,6 @@ class XorgPage extends DiogenesCorePage
function fail($msg)
{
- $this->caching = false;
$this->_errors->fail($msg);
}
@@ -187,39 +181,6 @@ class XorgPage extends DiogenesCorePage
}
// }}}
- // {{{ function xorg_is_cached()
-
- function xorg_is_cached($append_to_id="")
- {
- if ($this->_page_type == NO_SKIN) {
- return parent::is_cached($this->_tpl);
- } else {
- return parent::is_cached('skin/'.Session::get('skin'), $this->make_id($append_to_id));
- }
- }
-
- // }}}
- // {{{ function make_id()
-
- function make_id($append_to_id="")
- {
- if ($this->_page_type == NO_SKIN) {
- return null;
- }
-
- $ret = $this->_tpl;
- if ($append_to_id) {
- $ret.="-$append_to_id";
- }
-
- $auth_trans = Array(AUTH_PUBLIC => 'public', AUTH_COOKIE => 'cookie', AUTH_MDP => 'passwd');
- $ret .= '-'.$auth_trans[Session::get('auth', AUTH_PUBLIC)];
- $ret .= '-'.Session::get('perms', PERMS_EXT);
-
- return $ret;
- }
-
- // }}}
// {{{ function doAuth()
function doAuth() { }
diff --git a/include/xorg/smarty.plugins.inc.php b/include/xorg/smarty.plugins.inc.php
index eb7385e..43f7edb 100644
--- a/include/xorg/smarty.plugins.inc.php
+++ b/include/xorg/smarty.plugins.inc.php
@@ -19,17 +19,6 @@
* 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA *
***************************************************************************/
-// {{{ function block_dynamic()
-
-/**
- * block function used to delimit non-cached blocks.
- */
-function block_dynamic($param, $content, &$smarty)
-{
- return $content;
-}
-
-// }}}
// {{{ function escape_html ()
/**
diff --git a/po/Makefile b/po/Makefile
deleted file mode 100644
index 110fac0..0000000
--- a/po/Makefile
+++ /dev/null
@@ -1,58 +0,0 @@
-# Horde .mo files makefile
-#
-# $Horde: horde/po/Makefile,v 1.2.2.3 2002/05/20 17:36:22 jan Exp $
-#
-
-APPLICATION = xorg
-MSGFMT = msgfmt --statistics -c -v -o
-MSGFMTSOL = msgfmt -v -o
-MSGMERGE = msgmerge -U
-PHPFILES = find htdocs include plugins -name "*.php"
-PYFILES = find templates -name "*.py"
-TPLFILES = find templates -name "*.tpl"
-
-
-all: install
-
-xgettext:
- cd .. && scripts/devel/tplgettext.php `${TPLFILES}`
- cd .. && xgettext -i -j -k__ -o po/${APPLICATION}.pot `${PHPFILES}`
- cd .. && xgettext -i -j -k_ -o po/${APPLICATION}.pot `${PYFILES}`
- find ../templates -name "*.py" -exec rm -f {} \;
-
-%.po: ${APPLICATION}.pot
- @echo "Updating .po files from .pot:"
- ${MSGMERGE} $@ $<
-
-install: *.po
- @echo "Checking for os ... ${OSTYPE}"; \
- if test "${OSTYPE}" = "solaris"; then \
- echo "You'll probably get some warnings on Solaris. This is normal."; \
- fi; \
- for LOCALE in `ls *.po | sed 's/\.[^.]*$$//g'`; do \
- if test $${LOCALE}.po = "messages.po"; then \
- continue; \
- fi; \
- echo "Compiling locale $${LOCALE}:"; \
- if ./shtool mkdir -p ../locale/$${LOCALE}/LC_MESSAGES; then \
- if test "${OSTYPE}" = "solaris"; then \
- if ${MSGFMTSOL} ../locale/$${LOCALE}/LC_MESSAGES/${APPLICATION}.mo $${LOCALE}.po; then \
- echo " ... done"; \
- echo; \
- else \
- echo " ... FAILED"; \
- echo; \
- fi \
- else \
- if ${MSGFMT} ../locale/$${LOCALE}/LC_MESSAGES/${APPLICATION}.mo $${LOCALE}.po; then \
- echo " ... done"; \
- echo; \
- else \
- echo " ... FAILED"; \
- echo; \
- fi \
- fi; \
- else \
- echo "Could not create locale directory for $${LOCALE}."; \
- fi \
- done;
diff --git a/po/shtool b/po/shtool
deleted file mode 100755
index 4c1a739..0000000
--- a/po/shtool
+++ /dev/null
@@ -1,716 +0,0 @@
-#!/bin/sh
-##
-## GNU shtool -- The GNU Portable Shell Tool
-## Copyright (c) 1994-2000 Ralf S. Engelschall
-##
-## See http://www.gnu.org/software/shtool/ for more information.
-## See ftp://ftp.gnu.org/gnu/shtool/ for latest version.
-##
-## Version 1.4.9 (16-Apr-2000)
-## Ingredients: 3/17 available modules
-##
-
-##
-## This program is free software; you can redistribute it and/or modify
-## it under the terms of the GNU General Public License as published by
-## the Free Software Foundation; either version 2 of the License, or
-## (at your option) any later version.
-##
-## This program is distributed in the hope that it will be useful,
-## but WITHOUT ANY WARRANTY; without even the implied warranty of
-## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
-## General Public License for more details.
-##
-## You should have received a copy of the GNU General Public License
-## along with this program; if not, write to the Free Software
-## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
-## USA, or contact Ralf S. Engelschall .
-##
-## Notice: Given that you include this file verbatim into your own
-## source tree, you are justified in saying that it remains separate
-## from your package, and that this way you are simply just using GNU
-## shtool. So, in this situation, there is no requirement that your
-## package itself is licensed under the GNU General Public License in
-## order to take advantage of GNU shtool.
-##
-
-##
-## Usage: shtool [] [ [] []]
-##
-## Available commands:
-## echo Print string with optional construct expansion
-## install Install a program, script or datafile
-## mkdir Make one or more directories
-##
-## Not available commands (because module was not built-in):
-## mdate Pretty-print modification time of a file or dir
-## table Pretty-print a field-separated list as a table
-## prop Display progress with a running propeller
-## move Move files with simultaneous substitution
-## mkln Make link with calculation of relative paths
-## mkshadow Make a shadow tree through symbolic links
-## fixperm Fix file permissions inside a source tree
-## tarball Roll distribution tarballs
-## guessos Simple operating system guesser
-## arx Extended archive command
-## slo Separate linker options by library class
-## scpp Sharing C Pre-Processor
-## version Generate and maintain a version information file
-## path Deal with program paths
-##
-
-if [ $# -eq 0 ]; then
- echo "$0:Error: invalid command line" 1>&2
- echo "$0:Hint: run \`$0 -h' for usage" 1>&2
- exit 1
-fi
-if [ ".$1" = ".-h" -o ".$1" = ".--help" ]; then
- echo "This is GNU shtool, version 1.4.9 (16-Apr-2000)"
- echo "Copyright (c) 1994-2000 Ralf S. Engelschall "
- echo "Report bugs to "
- echo ''
- echo "Usage: shtool [] [ [] []]"
- echo ''
- echo 'Available global :'
- echo ' -v, --version display shtool version information'
- echo ' -h, --help display shtool usage help page (this one)'
- echo ' -d, --debug display shell trace information'
- echo ''
- echo 'Available [] []:'
- echo ' echo [-n] [-e] [ ...]'
- echo ' install [-v] [-t] [-c] [-C] [-s] [-m] [-o] [-g]'
- echo ' [-e] '
- echo ' mkdir [-t] [-f] [-p] [-m] [ ...]'
- echo ''
- echo 'Not available (because module was not built-in):'
- echo ' mdate [-n] [-z] [-s] [-d] [-f] [-o] '
- echo ' table [-F] [-w] [-c] [-s] ...'
- echo ' prop [-p]'
- echo ' move [-v] [-t] [-e] [-p] '
- echo ' mkln [-t] [-f] [-s] [ ...] '
- echo ' mkshadow [-v] [-t] [-a] '
- echo ' fixperm [-v] [-t] [ ...]'
- echo ' tarball [-t] [-v] [-o ] [-c ] [-d ] [-u'
- echo ' ] [-g ] [-e ] [ ...]'
- echo ' guessos '
- echo ' arx [-t] [-C] [ ...]'
- echo ' slo [-p] -- -L -l [-L -l ...]'
- echo ' scpp [-v] [-p] [-f] [-o] [-t] [-M]'
- echo ' [-D] [-C] [ ...]'
- echo ' version [-l] [-n] [-p] [-s] [-i]'
- echo ' [-d] '
- echo ' path [-s] [-r] [-d] [-b] [-m] [-p] [ ...]'
- echo ''
- exit 0
-fi
-if [ ".$1" = ".-v" -o ".$1" = ."--version" ]; then
- echo "GNU shtool 1.4.9 (16-Apr-2000)"
- exit 0
-fi
-if [ ".$1" = ".-d" -o ".$1" = ."--debug" ]; then
- shift
- set -x
-fi
-name=`echo "$0" | sed -e 's;.*/\([^/]*\)$;\1;' -e 's;-sh$;;' -e 's;\.sh$;;'`
-case "$name" in
- echo|install|mkdir )
- # implicit tool command selection
- tool="$name"
- ;;
- * )
- # explicit tool command selection
- tool="$1"
- shift
- ;;
-esac
-arg_spec=""
-opt_spec=""
-gen_tmpfile=no
-
-##
-## DISPATCH INTO SCRIPT PROLOG
-##
-
-case $tool in
- echo )
- str_tool="echo"
- str_usage="[-n] [-e] [ ...]"
- arg_spec="0+"
- opt_spec="n.e."
- opt_n=no
- opt_e=no
- ;;
- install )
- str_tool="install"
- str_usage="[-v] [-t] [-c] [-C] [-s] [-m] [-o] [-g] [-e] "
- arg_spec="2="
- opt_spec="v.t.c.C.s.m:o:g:e:"
- opt_v=no
- opt_t=no
- opt_c=no
- opt_C=no
- opt_s=no
- opt_m=""
- opt_o=""
- opt_g=""
- opt_e=""
- ;;
- mkdir )
- str_tool="mkdir"
- str_usage="[-t] [-f] [-p] [-m] [ ...]"
- arg_spec="1+"
- opt_spec="t.f.p.m:"
- opt_t=no
- opt_f=no
- opt_p=no
- opt_m=""
- ;;
- -* )
- echo "$0:Error: unknown option \`$tool'" 2>&1
- echo "$0:Hint: run \`$0 -h' for usage" 2>&1
- exit 1
- ;;
- * )
- echo "$0:Error: unknown command \`$tool'" 2>&1
- echo "$0:Hint: run \`$0 -h' for usage" 2>&1
- exit 1
- ;;
-esac
-
-##
-## COMMON UTILITY CODE
-##
-
-# determine name of tool
-if [ ".$tool" != . ]; then
- # used inside shtool script
- toolcmd="$0 $tool"
- toolcmdhelp="shtool $tool"
- msgprefix="shtool:$tool"
-else
- # used as standalone script
- toolcmd="$0"
- toolcmdhelp="sh $0"
- msgprefix="$str_tool"
-fi
-
-# parse argument specification string
-eval `echo $arg_spec |\
- sed -e 's/^\([0-9]*\)\([+=]\)/arg_NUMS=\1; arg_MODE=\2/'`
-
-# parse option specification string
-eval `echo h.$opt_spec |\
- sed -e 's/\([a-zA-Z0-9]\)\([.:+]\)/opt_MODE_\1=\2;/g'`
-
-# interate over argument line
-opt_PREV=''
-while [ $# -gt 0 ]; do
- # special option stops processing
- if [ ".$1" = ".--" ]; then
- shift
- break
- fi
-
- # determine option and argument
- opt_ARG_OK=no
- if [ ".$opt_PREV" != . ]; then
- # merge previous seen option with argument
- opt_OPT="$opt_PREV"
- opt_ARG="$1"
- opt_ARG_OK=yes
- opt_PREV=''
- else
- # split argument into option and argument
- case "$1" in
- -[a-zA-Z0-9]*)
- eval `echo "x$1" |\
- sed -e 's/^x-\([a-zA-Z0-9]\)/opt_OPT="\1";/' \
- -e 's/";\(.*\)$/"; opt_ARG="\1"/'`
- ;;
- -[a-zA-Z0-9])
- opt_OPT=`echo "x$1" | cut -c3-`
- opt_ARG=''
- ;;
- *)
- break
- ;;
- esac
- fi
-
- # eat up option
- shift
-
- # determine whether option needs an argument
- eval "opt_MODE=\$opt_MODE_${opt_OPT}"
- if [ ".$opt_ARG" = . -a ".$opt_ARG_OK" != .yes ]; then
- if [ ".$opt_MODE" = ".:" -o ".$opt_MODE" = ".+" ]; then
- opt_PREV="$opt_OPT"
- continue
- fi
- fi
-
- # process option
- case $opt_MODE in
- '.' )
- # boolean option
- eval "opt_${opt_OPT}=yes"
- ;;
- ':' )
- # option with argument (multiple occurances override)
- eval "opt_${opt_OPT}=\"\$opt_ARG\""
- ;;
- '+' )
- # option with argument (multiple occurances append)
- eval "opt_${opt_OPT}=\"\$opt_${opt_OPT} \$opt_ARG\""
- ;;
- * )
- echo "$msgprefix:Error: unknown option: \`-$opt_OPT'" 1>&2
- echo "$msgprefix:Hint: run \`$toolcmdhelp -h' or \`man shtool' for details" 1>&2
- exit 1
- ;;
- esac
-done
-if [ ".$opt_PREV" != . ]; then
- echo "$msgprefix:Error: missing argument to option \`-$opt_PREV'" 1>&2
- echo "$msgprefix:Hint: run \`$toolcmdhelp -h' or \`man shtool' for details" 1>&2
- exit 1
-fi
-
-# process help option
-if [ ".$opt_h" = .yes ]; then
- echo "Usage: $toolcmdhelp $str_usage"
- exit 0
-fi
-
-# complain about incorrect number of arguments
-case $arg_MODE in
- '=' )
- if [ $# -ne $arg_NUMS ]; then
- echo "$msgprefix:Error: invalid number of arguments (exactly $arg_NUMS expected)" 1>&2
- echo "$msgprefix:Hint: run \`$toolcmd -h' or \`man shtool' for details" 1>&2
- exit 1
- fi
- ;;
- '+' )
- if [ $# -lt $arg_NUMS ]; then
- echo "$msgprefix:Error: invalid number of arguments (at least $arg_NUMS expected)" 1>&2
- echo "$msgprefix:Hint: run \`$toolcmd -h' or \`man shtool' for details" 1>&2
- exit 1
- fi
- ;;
-esac
-
-# establish a temporary file on request
-if [ ".$gen_tmpfile" = .yes ]; then
- if [ ".$TMPDIR" != . ]; then
- tmpdir="$TMPDIR"
- elif [ ".$TEMPDIR" != . ]; then
- tmpdir="$TEMPDIR"
- else
- tmpdir="/tmp"
- fi
- tmpfile="$tmpdir/.shtool.$$"
- rm -f $tmpfile >/dev/null 2>&1
- touch $tmpfile
-fi
-
-##
-## DISPATCH INTO SCRIPT BODY
-##
-
-case $tool in
-
-echo )
- ##
- ## echo -- Print string with optional construct expansion
- ## Copyright (c) 1998-2000 Ralf S. Engelschall
- ## Originally written for WML as buildinfo
- ##
-
- text="$*"
-
- # check for broken escape sequence expansion
- seo=''
- bytes=`echo '\1' | wc -c | awk '{ printf("%s", $1); }'`
- if [ ".$bytes" != .3 ]; then
- bytes=`echo -E '\1' | wc -c | awk '{ printf("%s", $1); }'`
- if [ ".$bytes" = .3 ]; then
- seo='-E'
- fi
- fi
-
- # check for existing -n option (to suppress newline)
- minusn=''
- bytes=`echo -n 123 2>/dev/null | wc -c | awk '{ printf("%s", $1); }'`
- if [ ".$bytes" = .3 ]; then
- minusn='-n'
- fi
-
- # determine terminal bold sequence
- term_bold=''
- term_norm=''
- if [ ".$opt_e" = .yes -a ".`echo $text | egrep '%[Bb]'`" != . ]; then
- case $TERM in
- # for the most important terminal types we directly know the sequences
- xterm|xterm*|vt220|vt220*)
- term_bold=`awk 'BEGIN { printf("%c%c%c%c", 27, 91, 49, 109); }' /dev/null`
- term_norm=`awk 'BEGIN { printf("%c%c%c", 27, 91, 109); }' /dev/null`
- ;;
- vt100|vt100*)
- term_bold=`awk 'BEGIN { printf("%c%c%c%c%c%c", 27, 91, 49, 109, 0, 0); }' /dev/null`
- term_norm=`awk 'BEGIN { printf("%c%c%c%c%c", 27, 91, 109, 0, 0); }' /dev/null`
- ;;
- # for all others, we try to use a possibly existing `tput' or `tcout' utility
- * )
- paths=`echo $PATH | sed -e 's/:/ /g'`
- for tool in tput tcout; do
- for dir in $paths; do
- if [ -r "$dir/$tool" ]; then
- for seq in bold md smso; do # 'smso' is last
- bold="`$dir/$tool $seq 2>/dev/null`"
- if [ ".$bold" != . ]; then
- term_bold="$bold"
- break
- fi
- done
- if [ ".$term_bold" != . ]; then
- for seq in sgr0 me rmso reset; do # 'reset' is last
- norm="`$dir/$tool $seq 2>/dev/null`"
- if [ ".$norm" != . ]; then
- term_norm="$norm"
- break
- fi
- done
- fi
- break
- fi
- done
- if [ ".$term_bold" != . -a ".$term_norm" != . ]; then
- break;
- fi
- done
- ;;
- esac
- if [ ".$term_bold" = . -o ".$term_norm" = . ]; then
- echo "$msgprefix:Warning: unable to determine terminal sequence for bold mode" 1>&2
- fi
- fi
-
- # determine user name
- username=''
- if [ ".$opt_e" = .yes -a ".`echo $text | egrep '%[uU]'`" != . ]; then
- username="$LOGNAME"
- if [ ".$username" = . ]; then
- username="$USER"
- if [ ".$username" = . ]; then
- username="`(whoami) 2>/dev/null |\
- awk '{ printf("%s", $1); }'`"
- if [ ".$username" = . ]; then
- username="`(who am i) 2>/dev/null |\
- awk '{ printf("%s", $1); }'`"
- if [ ".$username" = . ]; then
- username='unknown'
- fi
- fi
- fi
- fi
- fi
-
- # determine user id
- userid=''
- if [ ".$opt_e" = .yes -a ".`echo $text | egrep '%U'`" != . ]; then
- userid="`(id -u) 2>/dev/null`"
- if [ ".$userid" = . ]; then
- str="`(id) 2>/dev/null`"
- if [ ".`echo $str | grep '^uid[ ]*=[ ]*[0-9]*('`" != . ]; then
- userid=`echo $str | sed -e 's/^uid[ ]*=[ ]*//' -e 's/(.*//'`
- fi
- if [ ".$userid" = . ]; then
- userid=`egrep "^${username}:" /etc/passwd 2>/dev/null | \
- sed -e 's/[^:]*:[^:]*://' -e 's/:.*$//'`
- if [ ".$userid" = . ]; then
- userid=`(ypcat passwd) 2>/dev/null |
- egrep "^${username}:" | \
- sed -e 's/[^:]*:[^:]*://' -e 's/:.*$//'`
- if [ ".$userid" = . ]; then
- userid='?'
- fi
- fi
- fi
- fi
- fi
-
- # determine host name
- hostname=''
- if [ ".$opt_e" = .yes -a ".`echo $text | egrep '%h'`" != . ]; then
- hostname="`(uname -n) 2>/dev/null |\
- awk '{ printf("%s", $1); }'`"
- if [ ".$hostname" = . ]; then
- hostname="`(hostname) 2>/dev/null |\
- awk '{ printf("%s", $1); }'`"
- if [ ".$hostname" = . ]; then
- hostname='unknown'
- fi
- fi
- case $hostname in
- *.* )
- domainname=".`echo $hostname | cut -d. -f2-`"
- hostname="`echo $hostname | cut -d. -f1`"
- ;;
- esac
- fi
-
- # determine domain name
- domainname=''
- if [ ".$opt_e" = .yes -a ".`echo $text | egrep '%d'`" != . ]; then
- if [ ".$domainname" = . ]; then
- if [ -f /etc/resolv.conf ]; then
- domainname="`egrep '^[ ]*domain' /etc/resolv.conf | head -1 |\
- sed -e 's/.*domain//' \
- -e 's/^[ ]*//' -e 's/^ *//' -e 's/^ *//' \
- -e 's/^\.//' -e 's/^/./' |\
- awk '{ printf("%s", $1); }'`"
- if [ ".$domainname" = . ]; then
- domainname="`egrep '^[ ]*search' /etc/resolv.conf | head -1 |\
- sed -e 's/.*search//' \
- -e 's/^[ ]*//' -e 's/^ *//' -e 's/^ *//' \
- -e 's/ .*//' -e 's/ .*//' \
- -e 's/^\.//' -e 's/^/./' |\
- awk '{ printf("%s", $1); }'`"
- fi
- fi
- fi
- fi
-
- # determine current time
- time_day=''
- time_month=''
- time_year=''
- time_monthname=''
- if [ ".$opt_e" = .yes -a ".`echo $text | egrep '%[DMYm]'`" != . ]; then
- time_day=`date '+%d'`
- time_month=`date '+%m'`
- time_year=`date '+%Y' 2>/dev/null`
- if [ ".$time_year" = . ]; then
- time_year=`date '+%y'`
- case $time_year in
- [5-9][0-9]) time_year="19$time_year" ;;
- [0-4][0-9]) time_year="20$time_year" ;;
- esac
- fi
- case $time_month in
- 1|01) time_monthname='Jan' ;;
- 2|02) time_monthname='Feb' ;;
- 3|03) time_monthname='Mar' ;;
- 4|04) time_monthname='Apr' ;;
- 5|05) time_monthname='May' ;;
- 6|06) time_monthname='Jun' ;;
- 7|07) time_monthname='Jul' ;;
- 8|08) time_monthname='Aug' ;;
- 9|09) time_monthname='Sep' ;;
- 10) time_monthname='Oct' ;;
- 11) time_monthname='Nov' ;;
- 12) time_monthname='Dec' ;;
- esac
- fi
-
- # expand special ``%x'' constructs
- if [ ".$opt_e" = .yes ]; then
- text=`echo $seo "$text" |\
- sed -e "s/%B/${term_bold}/g" \
- -e "s/%b/${term_norm}/g" \
- -e "s/%u/${username}/g" \
- -e "s/%U/${userid}/g" \
- -e "s/%h/${hostname}/g" \
- -e "s/%d/${domainname}/g" \
- -e "s/%D/${time_day}/g" \
- -e "s/%M/${time_month}/g" \
- -e "s/%Y/${time_year}/g" \
- -e "s/%m/${time_monthname}/g" 2>/dev/null`
- fi
-
- # create output
- if [ .$opt_n = .no ]; then
- echo $seo "$text"
- else
- # the harder part: echo -n is best, because
- # awk may complain about some \xx sequences.
- if [ ".$minusn" != . ]; then
- echo $seo $minusn "$text"
- else
- echo dummy | awk '{ printf("%s", TEXT); }' TEXT="$text"
- fi
- fi
- ;;
-
-install )
- ##
- ## install -- Install a program, script or datafile
- ## Copyright (c) 1997-2000 Ralf S. Engelschall
- ## Originally written for shtool
- ##
-
- src="$1"
- dst="$2"
-
- # If destination is a directory, append the input filename
- if [ -d $dst ]; then
- dst=`echo "$dst" | sed -e 's:/$::'`
- dstfile=`echo "$src" | sed -e 's;.*/\([^/]*\)$;\1;'`
- dst="$dst/$dstfile"
- fi
-
- # Add a possible extension to src and dst
- if [ ".$opt_e" != . ]; then
- src="$src$opt_e"
- dst="$dst$opt_e"
- fi
-
- # Check for correct arguments
- if [ ".$src" = ".$dst" ]; then
- echo "$msgprefix:Error: source and destination are the same" 1>&2
- exit 1
- fi
-
- # Make a temp file name in the destination directory
- dstdir=`echo $dst | sed -e 's;[^/]*$;;' -e 's;\(.\)/$;\1;' -e 's;^$;.;'`
- dsttmp="$dstdir/#INST@$$#"
-
- # Verbosity
- if [ ".$opt_v" = .yes ]; then
- echo "$src -> $dst" 1>&2
- fi
-
- # Copy or move the file name to the temp name
- # (because we might be not allowed to change the source)
- if [ ".$opt_C" = .yes ]; then
- opt_c=yes
- fi
- if [ ".$opt_c" = .yes ]; then
- if [ ".$opt_t" = .yes ]; then
- echo "cp $src $dsttmp" 1>&2
- fi
- cp $src $dsttmp || exit $?
- else
- if [ ".$opt_t" = .yes ]; then
- echo "mv $src $dsttmp" 1>&2
- fi
- mv $src $dsttmp || exit $?
- fi
-
- # Adjust the target file
- # (we do chmod last to preserve setuid bits)
- if [ ".$opt_s" = .yes ]; then
- if [ ".$opt_t" = .yes ]; then
- echo "strip $dsttmp" 1>&2
- fi
- strip $dsttmp || exit $?
- fi
- if [ ".$opt_o" != . ]; then
- if [ ".$opt_t" = .yes ]; then
- echo "chown $opt_o $dsttmp" 1>&2
- fi
- chown $opt_o $dsttmp || exit $?
- fi
- if [ ".$opt_g" != . ]; then
- if [ ".$opt_t" = .yes ]; then
- echo "chgrp $opt_g $dsttmp" 1>&2
- fi
- chgrp $opt_g $dsttmp || exit $?
- fi
- if [ ".$opt_m" != . ]; then
- if [ ".$opt_t" = .yes ]; then
- echo "chmod $opt_m $dsttmp" 1>&2
- fi
- chmod $opt_m $dsttmp || exit $?
- fi
-
- # Determine whether to do a quick install
- # (has to be done _after_ the strip was already done)
- quick=no
- if [ ".$opt_C" = .yes ]; then
- if [ -r $dst ]; then
- if cmp -s $src $dst; then
- quick=yes
- fi
- fi
- fi
-
- # Finally install the file to the real destination
- if [ $quick = yes ]; then
- if [ ".$opt_t" = .yes ]; then
- echo "rm -f $dsttmp" 1>&2
- fi
- rm -f $dsttmp
- else
- if [ ".$opt_t" = .yes ]; then
- echo "rm -f $dst && mv $dsttmp $dst" 1>&2
- fi
- rm -f $dst && mv $dsttmp $dst
- fi
- ;;
-
-mkdir )
- ##
- ## mkdir -- Make one or more directories
- ## Copyright (c) 1996-2000 Ralf S. Engelschall
- ## Originally written for public domain by Noah Friedman
- ## Cleaned up and enhanced for shtool
- ##
-
- errstatus=0
- for p in ${1+"$@"}; do
- # if the directory already exists...
- if [ -d "$p" ]; then
- if [ ".$opt_f" = .no ] && [ ".$opt_p" = .no ]; then
- echo "$msgprefix:Error: directory already exists: $p" 1>&2
- errstatus=1
- break
- else
- continue
- fi
- fi
- # if the directory has to be created...
- if [ ".$opt_p" = .no ]; then
- if [ ".$opt_t" = .yes ]; then
- echo "mkdir $p" 1>&2
- fi
- mkdir $p || errstatus=$?
- else
- # the smart situation
- set fnord `echo ":$p" |\
- sed -e 's/^:\//%/' \
- -e 's/^://' \
- -e 's/\// /g' \
- -e 's/^%/\//'`
- shift
- pathcomp=''
- for d in ${1+"$@"}; do
- pathcomp="$pathcomp$d"
- case "$pathcomp" in
- -* ) pathcomp="./$pathcomp" ;;
- esac
- if [ ! -d "$pathcomp" ]; then
- if [ ".$opt_t" = .yes ]; then
- echo "mkdir $pathcomp" 1>&2
- fi
- mkdir $pathcomp || errstatus=$?
- if [ ".$opt_m" != . ]; then
- if [ ".$opt_t" = .yes ]; then
- echo "chmod $opt_m $pathcomp" 1>&2
- fi
- chmod $opt_m $pathcomp || errstatus=$?
- fi
- fi
- pathcomp="$pathcomp/"
- done
- fi
- done
- exit $errstatus
- ;;
-
-esac
-
-exit 0
-
-##EOF##
diff --git a/po/xorg.pot b/po/xorg.pot
deleted file mode 100644
index 27df195..0000000
--- a/po/xorg.pot
+++ /dev/null
@@ -1,17 +0,0 @@
-# SOME DESCRIPTIVE TITLE.
-# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
-# This file is distributed under the same license as the PACKAGE package.
-# FIRST AUTHOR , YEAR.
-#
-#, fuzzy
-msgid ""
-msgstr "Project-Id-Version: PACKAGE VERSION\n"
- "Report-Msgid-Bugs-To: \n"
- "POT-Creation-Date: 2004-09-19 20:32+0200\n"
- "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
- "Last-Translator: FULL NAME \n"
- "Language-Team: LANGUAGE \n"
- "MIME-Version: 1.0\n"
- "Content-Type: text/plain; charset=CHARSET\n"
- "Content-Transfer-Encoding: 8bit\n"
-
diff --git a/templates/admin/admin_trombino.tpl b/templates/admin/admin_trombino.tpl
index a9a971c..ea6b7df 100644
--- a/templates/admin/admin_trombino.tpl
+++ b/templates/admin/admin_trombino.tpl
@@ -23,7 +23,6 @@
Gestion du trombino
-{dynamic}
Photo actuelle de {$forlife}
@@ -48,6 +47,5 @@ Photo actuelle de {$forlife}
-{/dynamic}
{* vim:set et sw=2 sts=2 sws=2: *}
diff --git a/templates/admin/ax-xorg.tpl b/templates/admin/ax-xorg.tpl
index 7aca15c..3e897f4 100644
--- a/templates/admin/ax-xorg.tpl
+++ b/templates/admin/ax-xorg.tpl
@@ -27,7 +27,6 @@
Liste des camarades qui n'apparaissent pas sous le même nom dans les deux annuaires
-{dynamic}
Promo
@@ -46,7 +45,6 @@
{$nb_diffs} camarades ont un état civil différent dans les 2 annuaires.
-{/dynamic}
@@ -55,7 +53,6 @@
Liste des camarades de l'annuaire de l'AX qui manquent à notre annuaire
-{dynamic}
Promo
Nom
Prénom
@@ -71,7 +68,6 @@
{$nb_mank} camarades sont absents de notre annuaire.
-{/dynamic}
@@ -80,7 +76,6 @@
Liste des camarades de notre annuaire qui ne sont pas dans l'annuaire de l'AX
-{dynamic}
Promo
Nom
Prénom
@@ -95,6 +90,5 @@
{$nb_plus} camarades sont absents de l'annuaire de l'AX.
-{/dynamic}
{* vim:set et sw=2 sts=2 sws=2: *}
diff --git a/templates/admin/deces_promo.tpl b/templates/admin/deces_promo.tpl
index 8363ea0..feb1e49 100644
--- a/templates/admin/deces_promo.tpl
+++ b/templates/admin/deces_promo.tpl
@@ -19,7 +19,6 @@
***************************************************************************}
-{dynamic}
-{/dynamic}
{* vim:set et sw=2 sts=2 sws=2: *}
diff --git a/templates/admin/emails_bounces_re.tpl b/templates/admin/emails_bounces_re.tpl
index bf09bee..db58512 100644
--- a/templates/admin/emails_bounces_re.tpl
+++ b/templates/admin/emails_bounces_re.tpl
@@ -30,7 +30,6 @@ Rappel sur les niveaux :
Gestion des événements :
@@ -89,6 +88,5 @@
{/if}
-{/dynamic}
{* vim:set et sw=2 sts=2 sws=2: *}
diff --git a/templates/admin/homonymes.tpl b/templates/admin/homonymes.tpl
index 2f3af30..b29b0fa 100644
--- a/templates/admin/homonymes.tpl
+++ b/templates/admin/homonymes.tpl
@@ -23,7 +23,6 @@
Gestion des homonymes
-{dynamic}
{if $op eq 'mail'}
mail envoyé à {$forlife}
@@ -149,6 +148,5 @@ L'
{/if}
-{/dynamic}
{* vim:set et sw=2 sts=2 sws=2: *}
diff --git a/templates/admin/newsletter.tpl b/templates/admin/newsletter.tpl
index e3758f7..f4c22ca 100644
--- a/templates/admin/newsletter.tpl
+++ b/templates/admin/newsletter.tpl
@@ -23,7 +23,6 @@
Lettre de Polytechnique.org
-{dynamic}
date
@@ -42,6 +41,5 @@
{/foreach}
-{/dynamic}
{* vim:set et sw=2 sts=2 sws=2: *}
diff --git a/templates/admin/newsletter_edit.tpl b/templates/admin/newsletter_edit.tpl
index c15b5fc..c77c681 100644
--- a/templates/admin/newsletter_edit.tpl
+++ b/templates/admin/newsletter_edit.tpl
@@ -18,7 +18,6 @@
* 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA *
***************************************************************************}
-{dynamic}
Lettre de Polytechnique.org de {$nl->_date|date_format:"%B %Y"}
@@ -180,6 +179,5 @@
{/if}
-{/dynamic}
{* vim:set et sw=2 sts=2 sws=2: *}
diff --git a/templates/admin/utilisateurs.tpl b/templates/admin/utilisateurs.tpl
index a1aab27..bf5da07 100644
--- a/templates/admin/utilisateurs.tpl
+++ b/templates/admin/utilisateurs.tpl
@@ -29,7 +29,6 @@ Attention, d
Gestion des utilisateurs
-{dynamic}
{if $smarty.post.u_kill_conf}
{/if}
-{/dynamic}
{* vim:set et sw=2 sts=2 sws=2: *}
diff --git a/templates/antispam.tpl b/templates/antispam.tpl
index 5ec4674..bf0636f 100644
--- a/templates/antispam.tpl
+++ b/templates/antispam.tpl
@@ -44,15 +44,13 @@ Trois r
Choisis ton propre réglage :
- {dynamic}
-
+
(1) le filtre anti-spam est coupé
(2) le filtre anti-spam est activé, et marque les mails
(3) le filtre anti-spam est activé, et élimine les mails détectés comme spams
- {/dynamic}
-
-{/dynamic}
{* vim:set et sw=2 sts=2 sws=2: *}
diff --git a/templates/carnet/panel.tpl b/templates/carnet/panel.tpl
index dcd0683..4124a5b 100644
--- a/templates/carnet/panel.tpl
+++ b/templates/carnet/panel.tpl
@@ -35,7 +35,6 @@ Tu peux choisir plus finement les donn
Il faut pour celà se rendre sur la page de configuration des notifications.
-{dynamic}
{foreach from=$notifs->_data item=c key=cid}
{$notifs->_cats[$cid].mail} :
@@ -72,6 +71,5 @@ Il faut pour cel
{/foreach}
-{/dynamic}
{* vim:set et sw=2 sts=2 sws=2: *}
diff --git a/templates/confbanana.tpl b/templates/confbanana.tpl
index dbc17b4..17bc21f 100644
--- a/templates/confbanana.tpl
+++ b/templates/confbanana.tpl
@@ -22,7 +22,6 @@
Configuration de Banana
-{dynamic}
{if !$smarty.post.action}
@@ -115,6 +114,5 @@
{/if}
-{/dynamic}
{* vim:set et sw=2 sts=2 sws=2: *}
diff --git a/templates/database-debug.tpl b/templates/database-debug.tpl
index 2688f98..2adfe2b 100644
--- a/templates/database-debug.tpl
+++ b/templates/database-debug.tpl
@@ -18,7 +18,6 @@
* 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA *
***************************************************************************}
-{dynamic}
{foreach item=query from=$trace_data}
Dans la lignée du service de redirection d'emails de Polytechnique.org,
il est possible de faire pointer
-{dynamic}
{if $smarty.session.alias}
l'adresse http://www.carva.org/{$smarty.session.forlife}
{else}
les adresses http://www.carva.org/{$smarty.session.forlife}
et http://www.carva.org/{$smarty.session.alias} ";
{/if}
-{/dynamic}
vers la page WEB de ton choix.
Polytechnique.org te fournit un service de redirection de tes mails à vie. Toute ta vie, tu auras
l'adresse {$smarty.session.forlife}@polytechnique.org
@@ -35,7 +34,6 @@
{$smarty.session.forlife}@polytechnique.org et
{$smarty.session.forlife}@m4x.org.
-{/dynamic}
L'utilisation de ce service est très simple. Sur cette
page, tu trouveras un formulaire pour ajouter de nouvelles adresses de redirection. Tous
diff --git a/templates/docs/plan.tpl b/templates/docs/plan.tpl
index ae0864a..ba5f693 100644
--- a/templates/docs/plan.tpl
+++ b/templates/docs/plan.tpl
@@ -19,7 +19,6 @@
***************************************************************************}
-{dynamic}
{if $smarty.request.txt}
@@ -274,6 +273,5 @@
{/if}
-{/dynamic}
{* vim:set et sw=2 sts=2 sws=2: *}
diff --git a/templates/emails.tpl b/templates/emails.tpl
index ccc946c..07f883d 100644
--- a/templates/emails.tpl
+++ b/templates/emails.tpl
@@ -23,7 +23,6 @@
Gestion de mes courriers électroniques
-{dynamic}
La pré-inscription que tu viens de soumettre a été enregistrée.
-{dynamic}
Les instructions te permettant notamment d'activer ton e-mail
{$forlife}@polytechnique.org, ainsi que ton mot de passe pour
@@ -42,6 +41,5 @@ ne servant plus.
Si tu ne reçois rien, vérifie bien l'adresse {$smarty.request.email}.
-{/dynamic}
{* vim:set et sw=2 sts=2 sws=2: *}
diff --git a/templates/inscription/step4.tpl b/templates/inscription/step4.tpl
index 85d8354..8c3a404 100644
--- a/templates/inscription/step4.tpl
+++ b/templates/inscription/step4.tpl
@@ -18,7 +18,6 @@
* 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA *
***************************************************************************}
-{dynamic}
Dernière étape
Tu as maintenant accès au site en utilisant les paramètres reçus par mail.
@@ -38,6 +37,5 @@
site. Cela peut prendre plusieurs semaines, les pertes de mot de passe sont
traitées avec la priorité minimale.
-{/dynamic}
{* vim:set et sw=2 sts=2 sws=2: *}
diff --git a/templates/listes/admin.tpl b/templates/listes/admin.tpl
index 05596c8..b167577 100644
--- a/templates/listes/admin.tpl
+++ b/templates/listes/admin.tpl
@@ -18,7 +18,6 @@
* 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA *
***************************************************************************}
-{dynamic}
{if !$details.own}
{/if}
-{/dynamic}
{* vim:set et sw=2 sts=2 sws=2: *}
diff --git a/templates/listes/create.tpl b/templates/listes/create.tpl
index 32826e0..8d11583 100644
--- a/templates/listes/create.tpl
+++ b/templates/listes/create.tpl
@@ -18,7 +18,6 @@
* 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA *
***************************************************************************}
-{dynamic}
Création d'une liste de diffusion
@@ -127,6 +126,5 @@ liste :
{/if}
-{/dynamic}
{* vim:set et sw=2 sts=2 sws=2: *}
diff --git a/templates/listes/delete.tpl b/templates/listes/delete.tpl
index db31427..aa8f3ea 100644
--- a/templates/listes/delete.tpl
+++ b/templates/listes/delete.tpl
@@ -20,7 +20,6 @@
$Id : admin.tpl,v 1.4 2004/09/23 18:47:00 x2000habouzit Exp $
***************************************************************************}
-{dynamic}
{if $deleted}
@@ -66,6 +65,5 @@ Tu n'es pas administrateur de la liste, mais du site.
{/if}
-{/dynamic}
{* vim:set et sw=2 sts=2 sws=2: *}
diff --git a/templates/listes/header_listes.tpl b/templates/listes/header_listes.tpl
index 4bd36d1..f8ca6d4 100644
--- a/templates/listes/header_listes.tpl
+++ b/templates/listes/header_listes.tpl
@@ -18,7 +18,6 @@
* 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA *
***************************************************************************}
-{dynamic}
@@ -92,6 +91,5 @@
{/perms}
-{/dynamic}
{* vim:set et sw=2 sts=2 sws=2: *}
diff --git a/templates/listes/index.tpl b/templates/listes/index.tpl
index dfd918e..c8b8a72 100644
--- a/templates/listes/index.tpl
+++ b/templates/listes/index.tpl
@@ -70,7 +70,6 @@ th
Tu peux demander la création d'une liste de diffusion sur le thème de ton choix.
-{dynamic}
Listes de diffusion publiques
@@ -123,6 +122,5 @@ Si tu te d
{/perms}
-{/dynamic}
{* vim:set et sw=2 sts=2 sws=2: *}
diff --git a/templates/listes/members.tpl b/templates/listes/members.tpl
index 39c3936..aebfbc0 100644
--- a/templates/listes/members.tpl
+++ b/templates/listes/members.tpl
@@ -18,7 +18,6 @@
* 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA *
***************************************************************************}
-{dynamic}
{include file="listes/header_listes.tpl" on=members}
@@ -129,6 +128,5 @@
{/if}
-{/dynamic}
{* vim:set et sw=2 sts=2 sws=2: *}
diff --git a/templates/listes/moderate.tpl b/templates/listes/moderate.tpl
index a04afc5..5bc75be 100644
--- a/templates/listes/moderate.tpl
+++ b/templates/listes/moderate.tpl
@@ -18,7 +18,6 @@
* 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA *
***************************************************************************}
-{dynamic}
{include file="listes/header_listes.tpl" on=moderate}
@@ -97,6 +96,5 @@
pas de mails en attente de modération
{/if}
-{/dynamic}
{* vim:set et sw=2 sts=2 sws=2: *}
diff --git a/templates/listes/moderate_mail.tpl b/templates/listes/moderate_mail.tpl
index 07158ab..18de0ef 100644
--- a/templates/listes/moderate_mail.tpl
+++ b/templates/listes/moderate_mail.tpl
@@ -18,7 +18,6 @@
* 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA *
***************************************************************************}
-{dynamic}
Propriétés du mail en attente
@@ -91,6 +90,5 @@ En cas de refus, le mail envoy
{$msg}
-{/dynamic}
{* vim:set et sw=2 sts=2 sws=2: *}
diff --git a/templates/listes/moderate_sub.tpl b/templates/listes/moderate_sub.tpl
index f5a62d5..5c087ef 100644
--- a/templates/listes/moderate_sub.tpl
+++ b/templates/listes/moderate_sub.tpl
@@ -18,7 +18,6 @@
* 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA *
***************************************************************************}
-{dynamic}
Nota Bene : les informations présentées ici n'engagent que leurs auteurs
diff --git a/templates/marketing/envoidirect.tpl b/templates/marketing/envoidirect.tpl
index bae6fca..4af3db8 100644
--- a/templates/marketing/envoidirect.tpl
+++ b/templates/marketing/envoidirect.tpl
@@ -23,7 +23,6 @@
Liste des sollicités inscrits récemment
-{dynamic}
@@ -74,6 +73,5 @@
{$nbnotsub} Polytechniciens ont été sollicités et ne se sont toujours pas inscrits.
-{/dynamic}
{* vim:set et sw=2 sts=2 sws=2: *}
diff --git a/templates/marketing/index.tpl b/templates/marketing/index.tpl
index 03013e1..c2c1a91 100644
--- a/templates/marketing/index.tpl
+++ b/templates/marketing/index.tpl
@@ -54,7 +54,6 @@
-{dynamic}
Nombre d'X vivants d'après notre base de données : {$stats.vivants}
Nombre d'X vivants inscrits à Polytechnique.org : {$stats.inscrits}
@@ -79,6 +78,5 @@ Nombre d'inscrits depuis le d
Nombre d'inscriptions en cours (2ème phase non terminée) : {$nbInsEnCours}
Nombre d'envois marketing effectués n'ayant pas abouti : {$nbInsEnvDir}
@@ -50,6 +49,5 @@
{$nb_ins} Polytechniciens se sont inscrits depuis le début de la semaine !
-{/dynamic}
{* vim:set et sw=2 sts=2 sws=2: *}
diff --git a/templates/marketing/promo.tpl b/templates/marketing/promo.tpl
index 6892a37..d23b3e6 100644
--- a/templates/marketing/promo.tpl
+++ b/templates/marketing/promo.tpl
@@ -19,7 +19,6 @@
***************************************************************************}
-{dynamic}
@@ -108,6 +107,5 @@
{$nbnonins} Polytechniciens de la promo {$promo} ne sont pas inscrits !
-{/dynamic}
{* vim:set et sw=2 sts=2 sws=2: *}
diff --git a/templates/marketing/public.tpl b/templates/marketing/public.tpl
index 56ad8f6..3ac9066 100644
--- a/templates/marketing/public.tpl
+++ b/templates/marketing/public.tpl
@@ -19,7 +19,6 @@
***************************************************************************}
-{dynamic}
{if $smarty.request.num}
{if $smarty.request.valide}
@@ -91,7 +90,6 @@
{/if}
{/if}
-{/dynamic}
{* vim:set et sw=2 sts=2 sws=2: *}
diff --git a/templates/marketing/relance.tpl b/templates/marketing/relance.tpl
index c756b01..8dae265 100644
--- a/templates/marketing/relance.tpl
+++ b/templates/marketing/relance.tpl
@@ -23,7 +23,6 @@
Relance
-{dynamic}
{foreach from=$sent item=l}
E-mail de préinscription
@@ -29,6 +28,5 @@ L'e-mail a été envoyé et la pré-inscription a
été insérée en attente de confirmation.
-{/dynamic}
{* vim:set et sw=2 sts=2 sws=2: *}
diff --git a/templates/marketing/utilisateurs_recherche.tpl b/templates/marketing/utilisateurs_recherche.tpl
index bbe97b8..e6c482a 100644
--- a/templates/marketing/utilisateurs_recherche.tpl
+++ b/templates/marketing/utilisateurs_recherche.tpl
@@ -19,7 +19,6 @@
***************************************************************************}
-{dynamic}
Chercher un X non inscrit
@@ -76,6 +75,5 @@ Si un champ est inconnu ou incertain, le remplir quand mê
- {dynamic}
- Tu peux configurer tes redirections WEB
+ Tu peux configurer tes redirections WEB
http://www.carva.org/{$smarty.session.bestalias}
et http://www.carva.org/{$smarty.session.forlife}
- {/dynamic}
-
+
{* vim:set et sw=2 sts=2 sws=2: *}
diff --git a/templates/profil.tpl b/templates/profil.tpl
index 2f174df..538bdd4 100644
--- a/templates/profil.tpl
+++ b/templates/profil.tpl
@@ -18,7 +18,6 @@
* 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA *
***************************************************************************}
-{dynamic}
{if $etat_naissance}
{include file="profil/naissance.tpl"}
{/if}
@@ -76,6 +75,5 @@ tel qu'elle appara
{/if}
-{/dynamic}
{* vim:set et sw=2 sts=2 sws=2: *}
diff --git a/templates/recovery.tpl b/templates/recovery.tpl
index 7baffbd..ffe2796 100644
--- a/templates/recovery.tpl
+++ b/templates/recovery.tpl
@@ -21,7 +21,6 @@
Perte du mot de passe
-{dynamic}
{if $ok}
@@ -99,6 +98,5 @@ certificat sur cette page.
{/if}
-{/dynamic}
{* vim:set et sw=2 sts=2 sws=2: *}
diff --git a/templates/referent.tpl b/templates/referent.tpl
index ecdb6f5..48e2f7a 100644
--- a/templates/referent.tpl
+++ b/templates/referent.tpl
@@ -33,7 +33,6 @@
Rechercher un camarade pouvant m'aider à orienter mon parcours professionnel
-{dynamic}
{if $recherche_trop_large}
Les critères de recherche que tu as rentrés n'ont pas produit de résultats,
@@ -189,6 +188,5 @@ Actuellement, {$mentors_number} mentors et r
{/if}
-{/dynamic}
{* vim:set et sw=2 sts=2 sws=2: *}
diff --git a/templates/search.tpl b/templates/search.tpl
index c914764..574535c 100644
--- a/templates/search.tpl
+++ b/templates/search.tpl
@@ -18,7 +18,6 @@
* 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA *
***************************************************************************}
-{dynamic}
{if $formulaire==0 and !$xorg_error->errs|count}
{if !$advanced}
@@ -88,6 +87,5 @@
{/if}
{/if}
-{/dynamic}
{* vim:set et sw=2 sts=2 sws=2: *}
diff --git a/templates/skin/common.content.tpl b/templates/skin/common.content.tpl
index be33031..0ca8a83 100644
--- a/templates/skin/common.content.tpl
+++ b/templates/skin/common.content.tpl
@@ -18,11 +18,9 @@
* 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA *
***************************************************************************}
-{dynamic}
{foreach from=$xorg_error->errs|smarty:nodefaults item=err}
-Mot de passe enregistré le {dynamic}{$smarty.now|date_format:"%x"}{/dynamic}
+Mot de passe enregistré le {$smarty.now|date_format:"%x"}
Cette procédure n'est pas sécurisée. Ton mot de passe est certes crypté, mais le
diff --git a/templates/trezo/gere_operations.tpl b/templates/trezo/gere_operations.tpl
index 3067add..1e70228 100644
--- a/templates/trezo/gere_operations.tpl
+++ b/templates/trezo/gere_operations.tpl
@@ -19,7 +19,6 @@
***************************************************************************}
-{dynamic}
{if $smarty.request.action eq "edit"}
@@ -148,6 +147,5 @@ La photo par d
-{/dynamic}
{* vim:set et sw=2 sts=2 sws=2: *}
diff --git a/templates/trombipromo.tpl b/templates/trombipromo.tpl
index 9ac9019..acc3350 100644
--- a/templates/trombipromo.tpl
+++ b/templates/trombipromo.tpl
@@ -19,7 +19,6 @@
***************************************************************************}
-{dynamic}
{if !$smarty.request.xpromo || $error}
@@ -70,7 +69,6 @@ chaque page affiche au plus {$limit} photos.
{/if}
-{/dynamic}
{* vim:set et sw=2 sts=2 sws=2: *}
diff --git a/templates/webredirect.tpl b/templates/webredirect.tpl
index 3bdb4d4..cb3926f 100644
--- a/templates/webredirect.tpl
+++ b/templates/webredirect.tpl
@@ -25,11 +25,9 @@
Dans la lignée du service de redirection d'emails de Polytechnique.org,
il est possible de faire pointer
- {dynamic}
- les adresses http://{#globals.webredirect.domain#}/{$smarty.session.bestalias}
+ les adresses http://{#globals.webredirect.domain#}/{$smarty.session.bestalias}
et http://{#globals.webredirect.domain#}/{$smarty.session.forlife}
- {/dynamic}
- vers la page WEB de ton choix. Pour de plus amples détails, consulte
+ vers la page WEB de ton choix. Pour de plus amples détails, consulte
cette page